CLOG10(3)

NAME
clog10, clog10f, clog10l - base-10 logarithm of a complex number

SYNOPSIS
#define _GNU_SOURCE
#include <complex.h>

double complex clog10(double complex z);
float complex clog10f(float complex z);
long double complex clog10l(long double complex z);

Link with -lm.

DESCRIPTION
The call clog10(z) is equivalent to clog(z)/log(10). The other functions perform the same task for float and long double.

Note that z close to zero will cause an overflow.

CONFORMING TO
This function is a GNU extension. It is reserved for future use in C99.

SEE ALSO
cabs(3), cexp(3), clog(3), clog2(3), complex(7), feature_test_macros(7)

COLOPHON
This page is part of release 2.76 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.